Subject: Re: [RFC] Stgit - patch history / add extra parents

From: Catalin Marinas <[email-masked]>
Date: Wed, 31 Aug 2005 10:12:11 +0100

Jan Veldeman <[email-masked]> wrote:
> The parents which should be visible to the outside, will always be versions
> of my development tree, which I have previously pushed out. My way of
> working would become:
> * make changes, all over the place, using stgit
> * still make changes (none of these gets tracked, intermittent versions are
>   lost)
> * having a good day: changes looks good, I want to push this out:
>   * push my tree out
>   * stgit-free (which makes the pushed out commits, the new parents of my
>     stgit patches)

When the tree status looks good, you could tag it and the whole stack
(the commits corresponding to the patches) would be available via this
tag.

As I said, I agree with the idea of freezing a patch and even having
multiple parents to a commit but this commit should not be visible via
HEAD. We could have another id for a patch, 'frozen', which stores the
last frozen state with the parents being the previous frozen
states. Its SHA1 value could be accessed via 'stg id <patch>/frozen'
(in the same way as /top and /bottom ids).

-- 
Catalin